*
Returns the MicroStrategy details for a tenant. MicroStrategy details are populated automatically during a tenant onboard, and contain the necessary information we need to use to use in the Authentication Proxy (KrakenD) to authenticate users against MicroStrategy.
GET /tenants/{tenantId}/microstrategy-details
Operation id: TenantService_GetMicroStrategyDetails
Tags: TenantService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | Yes | Tenant ID. Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
microStrategyDetails | object | No |
{
"type": "object",
"properties": {
"microStrategyDetails": {
"type": "object",
"properties": {
"projectId": {
"type": "string"
},
"dashboard": {
"type": "object"
},
"privilegeUserGroups": {
"type": "object"
},
"moduleUserGroups": {
"type": "object"
},
"orgUserGroups": {
"type": "object"
},
"userPrefix": {
"type": "string"
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}